## org.apache.mahout.cf.taste.hadoop.similarity.item
Class ItemSimilarityJob.MostSimilarItemPairsMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,EntityEntityWritable,org.apache.hadoop.io.DoubleWritable>
          org.apache.mahout.cf.taste.hadoop.similarity.item.ItemSimilarityJob.MostSimilarItemPairsMapper

Enclosing class:
  ItemSimilarityJob

    public static class ItemSimilarityJob.MostSimilarItemPairsMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,EntityEntityWritable,org.apache.hadoop.io.DoubleWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`ItemSimilarityJob.MostSimilarItemPairsMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.IntWritable itemIDIndexWritable, VectorWritable similarityVector, org.apache.hadoop.mapreduce.Mapper.Context ctx)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemSimilarityJob.MostSimilarItemPairsMapper

    public ItemSimilarityJob.MostSimilarItemPairsMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context ctx)

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,EntityEntityWritable,org.apache.hadoop.io.DoubleWritable>`

### map

    protected void map(org.apache.hadoop.io.IntWritable itemIDIndexWritable,
                       VectorWritable similarityVector,
                       org.apache.hadoop.mapreduce.Mapper.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,EntityEntityWritable,org.apache.hadoop.io.DoubleWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.